%define name perl-File-NCopy
%define module File-NCopy
%define version 0.32
%define release 6mdk

Summary: 	Copies files to directories, or a single file to another file.
Name:		%{name} 
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Distribution:	Mandrake Linux
BuildArchitectures: noarch
Source: 	http://www.cpan.org/authors/id/GABOR/%{module}%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot/
Prefix:		%{_prefix}
Requires: 	perl >= 0:5.600

%description
Copies files to directories, or a single file to another file.

This module is needed by eGrail

%prep
%setup -q -n %{module}%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/File

%changelog
* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.32-6mdk
- rebuild for perl 5.8.0

* Tue Mar 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.32-5mdk
- should be noarch

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.32-4mdk
- BuildRequires: perl-devel

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.32-3mdk
- Fixed distribution tag.
- Make a clean RPM with right directories.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.32-2mdk
- Remove hardcoded references to Distribution and Vendor.
- Rebuild against the latest perl.

* Fri Sep 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.32-1mdk
- First Mandrake release
- Needed for eGrail
